---
title: "Generate Tracking Link"
slug: "generatelink"
updated: 2024-12-09T14:25:41Z
published: 2024-12-09T14:25:41Z
canonical: "help.awin.com/generatelink"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.awin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Tracking Link

Post/publishers/{publisherId}/linkbuilder/generate

		
			

> [!NOTE]
> This API is Available on Zapier
> 
> Automate your workflows with Zapier's easy to use workflow builder. Read more [here](https://developer.awin.com/apidocs/integrate-apis-with-zapier)or go directly our [Zapier Integration Page](https://zapier.com/apps/awin/integrations).

**POST generate a tracking link**

Publishers can post a destination URL for an advertiser to generate an Awin tracking link. This endpoint allows you to either generate a single tracking link or batches of up to 100 tracking links.

**Who can use it?**

Publishers

		
		

Header parametersAuthorizationstring

accessToken

Path parameterspublisherIdinteger (int64) Required

publisherId

Query parametersaccessTokenstringRequired

access token

Body parameters

requestBody

<select class='api-response-data' aria-label='Media type'><option value='41362783-562c-43b0-851a-c1710d729324'>application/json</option>
</select>Expand Allobject  advertiserIdinteger  (int64)    
destinationUrlstring    
parametersobject (Parameters)  campaignstring    
clickrefstring    
clickref2string    
clickref3string    
clickref4string    
clickref5string    
clickref6string    

shortenboolean    

		
			

| Field name | Required? | Type | Description |
| --- | --- | --- | --- |
| advertiserId | Yes | Interger | ID of the advertiser you are creating a link to |
| destinationUrl | No | String | The specific page you wish to link to. If not provided, the advertiser’s default landing page is used. |
| parameters | No | Object | This can contain any of the Awin click parameters. |
| shorten | No | Boolean | If set to true, will response will return a shortened link URL along with the standard long link. |

		
		
Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='77dbcddb-d833-477a-b109-16686692e8ba'>application/json</option>
</select>object  

		
			

Note: If successful, a 200 response code is given, along with JSON of the following form:

{ "url": "https://www.awin1.com/....", "shortUrl": "https://tidd.ly/...." //if shorten true } If the response contains "description": "Unknown error! Please try again later!" for some single advertisers, they do not allow the link builder.
